Architecting, installing and maintaining your SAS environment

Cannot update; latest .ova is not up to date

Accepted Solution Solved
Reply
Occasional Contributor rkw
Occasional Contributor
Posts: 5
Accepted Solution

Cannot update; latest .ova is not up to date

Hello!

 

I have tried five or six times now to install the 379.9MB update the SAS Information Center is telling me about. I have used a second, "clean" browser that has no extensions or history (IE). I have erased the cookies and files from my normal browser (Chrome). I have rebooted. Each time, I receive this message: 

The update process has failed. To verify that your download is valid, click Try Again.

 

When I click Try Again, I receive an error page: This page isn't working. localhost didn't send any data. 

 

After my fourth attempt to download, I decided to just download the .ova (2.43 GB). I could not find a version number on the download site. I imported it into VMBox. SAS *still* wants me to update, so apparently the "latest" .ova on the SAS site is not up to date. When I tried PROC SETINIT, it said I was on version 2.6, 9M45 or similar. When I tried PROC PRODUCT_STATUS, it said version 3.7. The SAS announcements page (I forget where this is) says version 3.1 but gives a base number equivalent to the 9M45 (I may be remembering the base number incorrectly).

 

Does anyone have any idea what is going on? I am frustrated and may also get shot by my PI.

 

Thanks,

 

Regina


Accepted Solutions
Solution
‎02-21-2018 03:39 PM
Occasional Contributor rkw
Occasional Contributor
Posts: 5

Re: Cannot update; latest .ova is not up to date

Hi all, and thanks Reeza. I figured out the problems today. First, my cloud backup service was engaging some of the local files, preventing the update. Second, files from old appliances were conflicting with a fresh install. I excluded VM/SAS files from the backup and deleted the old appliance files. I was then able to import the .ova I'd downloaded and then complete the update successfully.

 

R

View solution in original post


All Replies
Super User
Posts: 23,332

Re: Cannot update; latest .ova is not up to date


rkw wrote:

I am frustrated and may also get shot by my PI.

 

Your PI should provide a full installation of SAS, you shouldn't be using SAS UE for published research. You can and it fits in the guidelines but it's kind of working with one hand tied behind your back because of the other limitations and workarounds required. 

Most Unis offer a full version for $50-$100. Throughout my degree my supervisors always provided the software and tools needed.

 

I would start from scratch, delete Oracle VirtualBox and everything and reinstall. I don't recall requiring an update after the last installation. And you can usually just skip it anyways, click the Start and it should let you start.

 

Or use the cloud version, SAS Academics on Demand - it's hosted in NC. 

 

Or there's a version on AWS but it will cost you a bit. 

 

 

Solution
‎02-21-2018 03:39 PM
Occasional Contributor rkw
Occasional Contributor
Posts: 5

Re: Cannot update; latest .ova is not up to date

Hi all, and thanks Reeza. I figured out the problems today. First, my cloud backup service was engaging some of the local files, preventing the update. Second, files from old appliances were conflicting with a fresh install. I excluded VM/SAS files from the backup and deleted the old appliance files. I was then able to import the .ova I'd downloaded and then complete the update successfully.

 

R

☑ This topic is solved.

Need further help from the community? Please ask a new question.

Discussion stats
  • 2 replies
  • 201 views
  • 2 likes
  • 2 in conversation